POST
/api/v1/container_registry/setup-container-registry/
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/container_registry/setup-container-registry/?location=<LOCATION>&project_id=<PROJECT_ID>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "project_name": "cr-12345", "prevent_vul": "true", "severity": "none"}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/container_registry/setup-container-registry/", params={"location": "<LOCATION>", "project_id": "<PROJECT_ID>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "project_name": "cr-12345", "prevent_vul": "true", "severity": "none", },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/container_registry/setup-container-registry/");url.search = new URLSearchParams({ location: "<LOCATION>", project_id: "<PROJECT_ID>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "project_name": "cr-12345", "prevent_vul": "true", "severity": "none" }),});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
project_id
required
integer
Project ID Find your project id here
Request Body
Section titled “Request Body”Media typeapplication/json
object
project_name
string
Example
cr-12345prevent_vul
string
Example
trueseverity
string
Example
noneResponses
Section titled “Responses”Container Registry setup status retrieved successfully.
Media typeapplication/json
object
code
integer
data
object
setup_status
string
errors
object
key
additional properties
string
message
string
Example
{ "code": 200, "data": { "setup_status": "Container Registry Setup In Progress" }, "errors": {}, "message": "Success"}